VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Static Public Member Functions | List of all members
UIAttributes Class Reference
Inheritance diagram for UIAttributes:

## Public Types
using | StringArray = std::vector< std::string >

## Public Member Functions
| UIAttributes (UTF8StringPtr *attributes=nullptr)
| ~UIAttributes () noexceptoverride=default
bool | hasAttribute (const std::string &name) const
const std::string * | getAttributeValue (const std::string &name) const
void | setAttribute (const std::string &name, const std::string &value)
void | setAttribute (const std::string &name, std::string &&value)
void | setAttribute (std::string &&name, std::string &&value)
void | removeAttribute (const std::string &name)
void | setBooleanAttribute (const std::string &name, bool value)
bool | getBooleanAttribute (const std::string &name, bool &value) const
void | setIntegerAttribute (const std::string &name, int32_t value)
bool | getIntegerAttribute (const std::string &name, int32_t &value) const
void | setDoubleAttribute (const std::string &name, double value)
bool | getDoubleAttribute (const std::string &name, double &value) const
void | setPointAttribute (const std::string &name, const CPoint &p)
bool | getPointAttribute (const std::string &name, CPoint &p) const
void | setRectAttribute (const std::string &name, const CRect &r)
bool | getRectAttribute (const std::string &name, CRect &r) const
void | setStringArrayAttribute (const std::string &name, const StringArray &values)
bool | getStringArrayAttribute (const std::string &name, StringArray &values) const
void | removeAll ()
bool | store (OutputStream &stream) const
bool | restore (InputStream &stream)
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0 More...
void | remember () override
| increase refcount More...
virtual int32_t | getNbReference () const
| get refcount More...
virtual void | beforeDelete ()

## Static Public Member Functions
static std::string | createStringArrayValue (const StringArray &values)

## Member Typedef Documentation

using StringArray = std::vector<std::string>

## Constructor & Destructor Documentation

UIAttributes | ( | UTF8StringPtr * | attributes = `nullptr` | ) |
| explicit

~UIAttributes | ( |  | ) |
| override default noexcept

## Member Function Documentation

std::string createStringArrayValue | ( | const StringArray & | values | ) |
| static

const std::string * getAttributeValue | ( | const std::string & | name | ) | const

bool getBooleanAttribute | ( | const std::string & | name,
|  | bool & | value
| ) |  | const

bool getDoubleAttribute | ( | const std::string & | name,
|  | double & | value
| ) |  | const

bool getIntegerAttribute | ( | const std::string & | name,
|  | int32_t & | value
| ) |  | const

bool getPointAttribute | ( | const std::string & | name,
|  | CPoint & | p
| ) |  | const

bool getRectAttribute | ( | const std::string & | name,
|  | CRect & | r
| ) |  | const

bool getStringArrayAttribute | ( | const std::string & | name,
|  | StringArray & | values
| ) |  | const

bool hasAttribute | ( | const std::string & | name | ) | const

void removeAll | ( |  | ) |
| inline

void removeAttribute | ( | const std::string & | name | ) |

bool restore | ( | InputStream & | stream | ) |

void setAttribute | ( | const std::string & | name,
|  | const std::string & | value
| ) |  |

void setAttribute | ( | const std::string & | name,
|  | std::string && | value
| ) |  |

void setAttribute | ( | std::string && | name,
|  | std::string && | value
| ) |  |

void setBooleanAttribute | ( | const std::string & | name,
|  | bool | value
| ) |  |

void setDoubleAttribute | ( | const std::string & | name,
|  | double | value
| ) |  |

void setIntegerAttribute | ( | const std::string & | name,
|  | int32_t | value
| ) |  |

void setPointAttribute | ( | const std::string & | name,
|  | const CPoint & | p
| ) |  |

void setRectAttribute | ( | const std::string & | name,
|  | const CRect & | r
| ) |  |

void setStringArrayAttribute | ( | const std::string & | name,
|  | const StringArray & | values
| ) |  |

bool store | ( | OutputStream & | stream | ) | const

The documentation for this class was generated from the following files:

- uiattributes.h
- uiattributes.cpp